#!/bin/bash

cygwin=false;
linux=false;
case "`uname`" in
  CYGWIN*)
    cygwin=true
  ;;
  Linux)
    linux=true
  ;;
esac

CLASSPATH=./:../trRmiApi.jar

for jar in ../lib/*.jar; do
  CLASSPATH=$CLASSPATH:$jar
done

if $cygwin; then
  CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
fi

echo "CLASSPATH --"
echo $CLASSPATH
echo "--"

if [ $# -ne 1 ];
then
    echo "Usage:"
    echo "------"
    echo "$0 <example class>"
    echo "------"
    echo "For example:"
    echo "$0 com.arunta.app.remote.example.TRMonitoringExample"
    echo "------"
    exit 1
fi

java -cp "$CLASSPATH" "$1"
